<?php

namespace App\Mail;

use App\Facade\Theme;
use App\Facade\UserConfig;
use App\User;
use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class UserSelfActivated extends Mailable
{
    use Queueable, SerializesModels;

    private $createdUser;
    private $user;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct(User $user, User $createdUser)
    {
        $this->user = $user;
        $this->createdUser = $createdUser;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        $subject = trans('email.user_self_activated_subject', ['app_name' => UserConfig::get('app_name')]);

        return $this
            ->subject($subject)
            ->markdown(Theme::viewName('email.user_self_activated'))
            ->with([
                'subject' => $subject,
                'user' => $this->user,
                'created_user' => $this->createdUser
            ]);
    }
}